import sys
def cal_abundance(input_file):
    FILE = open(input_file, "r")
    mapping_dict = {}
    while True:
        line = FILE.readline().rstrip()
        if not line:break
        Read_ID = line.split("\t")[0]
        Abundance = line.split("\t")[5]
        if Read_ID not in mapping_dict:
            mapping_dict[Read_ID] = Abundance
    Total_abundance = sum([int(i) for i in mapping_dict.values()])
    result = "{} abundance: {}".format(input_file,Total_abundance)
    print(result)
    return Total_abundance